/****
 * CStarterDoc.h
 *
 *	Document class for a typical application.
 *
 ****/

#define	_H_CStarterDoc			/* Include this file only once */
#include <CDocument.h>
#include <CApplication.h>   /* Altered by TCL Demo Weaver 1.0 (2/21/90) */

struct CStarterDoc : CDocument {

									/** Construction/Destruction **/
                                    
    /* Altered by TCL Demo Weaver 1.0 (2/21/90) */
    
    void        IStarterDoc(CApplication *aSupervisor, Boolean printable);
    void        Dispose(void);

	void		DoCommand(long theCommand);

    void        UpdateMenus(void);  /* Altered by TCL Demo Weaver 1.0 (2/21/90) */

	void		NewFile(void);
	void		OpenFile(SFReply *macSFReply);
	void		BuildWindow(Handle theData);
	
									/** Filing **/
	Boolean		DoSave(void);
	Boolean		DoSaveAs(SFReply *macSFReply);
	void		DoRevert(void);
};